# Ogre::D3D9Driver Class Reference

`#include <OgreD3D9Driver.h>`

List of all members.

## Public Member Functions

| D3D9Driver ()
| D3D9Driver (const D3D9Driver &ob)
| D3D9Driver (LPDIRECT3D9 pD3D, unsigned int adapterNumber, const D3DADAPTER_IDENTIFIER9 &adapterIdentifer, const D3DDISPLAYMODE &desktopDisplayMode)
| ~D3D9Driver ()
String | DriverName () const
String | DriverDescription () const
LPDIRECT3D9 | getD3D ()
LPDIRECT3DDEVICE9 | getD3DDevice ()
void | setD3DDevice (LPDIRECT3DDEVICE9 pD3DDevice)
unsigned int | getAdapterNumber () const
const D3DADAPTER_IDENTIFIER9 & | getAdapterIdentifier () const
const D3DDISPLAYMODE & | getDesktopMode () const
D3D9VideoModeList * | getVideoModeList ()

## Private Attributes

LPDIRECT3D9 | mpD3D
LPDIRECT3DDEVICE9 | mpD3DDevice
unsigned int | mAdapterNumber
D3DADAPTER_IDENTIFIER9 | mAdapterIdentifier
D3DDISPLAYMODE | mDesktopDisplayMode
D3D9VideoModeList * | mpVideoModeList
unsigned int | tempNo

## Constructor & Destructor Documentation

Ogre::D3D9Driver::D3D9Driver | ( |  | ) |

Ogre::D3D9Driver::D3D9Driver | ( | const D3D9Driver & | ob | ) |

Ogre::D3D9Driver::D3D9Driver | ( | LPDIRECT3D9 | pD3D,
|  | unsigned int | adapterNumber,
|  | const D3DADAPTER_IDENTIFIER9 & | adapterIdentifer,
|  | const D3DDISPLAYMODE & | desktopDisplayMode
| ) |

Ogre::D3D9Driver::~D3D9Driver | ( |  | ) |

## Member Function Documentation

String Ogre::D3D9Driver::DriverDescription | ( |  | ) | const

String Ogre::D3D9Driver::DriverName | ( |  | ) | const

const D3DADAPTER_IDENTIFIER9& Ogre::D3D9Driver::getAdapterIdentifier | ( |  | ) | const

| Definition at line 74 of file OgreD3D9Driver.h. References mAdapterIdentifier.

unsigned int Ogre::D3D9Driver::getAdapterNumber | ( |  | ) | const

| Definition at line 73 of file OgreD3D9Driver.h. References mAdapterNumber.

LPDIRECT3D9 Ogre::D3D9Driver::getD3D | ( |  | ) |

| Definition at line 68 of file OgreD3D9Driver.h. References mpD3D.

LPDIRECT3DDEVICE9 Ogre::D3D9Driver::getD3DDevice | ( | void |  | ) |

| Definition at line 70 of file OgreD3D9Driver.h. References mpD3DDevice. Referenced by Ogre::D3D9RenderWindow::getD3DDevice().

const D3DDISPLAYMODE& Ogre::D3D9Driver::getDesktopMode | ( |  | ) | const

| Definition at line 75 of file OgreD3D9Driver.h. References mDesktopDisplayMode.

D3D9VideoModeList* Ogre::D3D9Driver::getVideoModeList | ( |  | ) |

void Ogre::D3D9Driver::setD3DDevice | ( | LPDIRECT3DDEVICE9 | pD3DDevice | ) |

| Definition at line 72 of file OgreD3D9Driver.h. References mpD3DDevice.

## Member Data Documentation

D3DADAPTER_IDENTIFIER9 Ogre::D3D9Driver::mAdapterIdentifier `[private]`

| Definition at line 52 of file OgreD3D9Driver.h. Referenced by getAdapterIdentifier().

unsigned int Ogre::D3D9Driver::mAdapterNumber `[private]`

| Definition at line 51 of file OgreD3D9Driver.h. Referenced by getAdapterNumber().

D3DDISPLAYMODE Ogre::D3D9Driver::mDesktopDisplayMode `[private]`

| Definition at line 53 of file OgreD3D9Driver.h. Referenced by getDesktopMode().

LPDIRECT3D9 Ogre::D3D9Driver::mpD3D `[private]`

| Definition at line 47 of file OgreD3D9Driver.h. Referenced by getD3D().

LPDIRECT3DDEVICE9 Ogre::D3D9Driver::mpD3DDevice `[private]`

| Definition at line 50 of file OgreD3D9Driver.h. Referenced by getD3DDevice(), and setD3DDevice().

D3D9VideoModeList* Ogre::D3D9Driver::mpVideoModeList `[private]`

| Definition at line 54 of file OgreD3D9Driver.h.

unsigned int Ogre::D3D9Driver::tempNo `[private]`

| Definition at line 55 of file OgreD3D9Driver.h.

The documentation for this class was generated from the following file:

- OgreD3D9Driver.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:08:27 2006